#ifdef _WIN32
#pragma warning(disable:4786)
#endif
#include <ListenSocket.h>

#include "StatusHandler.h"
#include "StatusSocket.h"


static	bool quit = false;

int main()
{
	StatusHandler h;
	ListenSocket<StatusSocket> l(h);

	if (l.Bind(9003))
	{
		exit(-1);
	}
	h.Add(&l);
	h.Select(1,0);
	time_t t = time(NULL);
	while (!quit)
	{
		h.Select(1,0);
		if (time(NULL) - t > 10)
		{
			t = time(NULL);
			h.Update();
			h.Disconnect();
		}
	}
	return 0;
}


