#include <StdoutLog.h>
#include <SocketHandler.h>
#include <HttpPutSocket.h>


int main(int argc,char *argv[])
{
	StdoutLog log;
	SocketHandler h(&log);
	HttpPutSocket sock( h, "http://www.myhost.bogus/index.html" );

	sock.SetFile( "~/myhost_html/index.html" );
	sock.SetContentType( "text/html" );

	sock.Open();
	h.Add(&sock);
	h.Select(1,0);
	while (h.GetCount())
	{
		h.Select(1,0);
	}

	printf("Status of operation: %s %s\n", sock.GetStatus().c_str(), sock.GetStatusText().c_str());

	return 0;
}


